libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::Referer Class Reference
[Miscellaneous]

Base class to know when on object is completely defined. More...

Inheritance diagram for Gnome::Gda::Referer:

[legend]
List of all members.

## Public Member Functions

bool | activate ()
| Tries to activate the object, does nothing if the object is already active.
void | deactivate ()
| Deactivates the object.
Glib::SListHandle< Glib::RefPtr< const Object > > | get_ref_objects () const
| Get the list of objects which are referenced by iface.
Glib::SListHandle< Glib::RefPtr< Object > > | get_ref_objects ()
| Get the list of objects which are referenced by iface.
const GdaReferer* | gobj () const
| Provides access to the underlying C GObject.
GdaReferer* | gobj ()
| Provides access to the underlying C GObject.
bool | is_active () const
| Get the status of an object.
Glib::SignalProxy0<void> | signal_activated ()

Prototype:
  `void on_my_activated()`

Glib::SignalProxy0<void> | signal_deactivated ()

Prototype:
  `void on_my_deactivated()`

virtual | ~Referer ()

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)

## Protected Member Functions

virtual void | on_activated ()
virtual void | on_deactivated ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gnome::Gda::Referer> | wrap (GdaReferer* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Base class to know when on object is completely defined.

## Constructor & Destructor Documentation

virtual Gnome::Gda::Referer::~Referer | ( |  | ) | `[virtual]`

## Member Function Documentation

bool Gnome::Gda::Referer::activate | ( |  | ) |

Tries to activate the object, does nothing if the object is already active.

Returns:
  `true` if the object is active after the call.

static void Gnome::Gda::Referer::add_interface | ( | GType | gtype_implementer | ) | `[static]`

void Gnome::Gda::Referer::deactivate | ( |  | ) |

Deactivates the object.

This is the opposite to function activate(). If the object is already non active, then nothing happens.

Glib::SListHandle<Glib::RefPtr<const Object> > Gnome::Gda::Referer::get_ref_objects | ( |  | ) | const

Get the list of objects which are referenced by iface.

The returned list is a new list. If iface is not active, then the returned list is incomplete.

Returns:
  A new list of referenced objects.

Glib::SListHandle<Glib::RefPtr<Object> > Gnome::Gda::Referer::get_ref_objects | ( |  | ) |

Get the list of objects which are referenced by iface.

The returned list is a new list. If iface is not active, then the returned list is incomplete.

Returns:
  A new list of referenced objects.

const GdaReferer* Gnome::Gda::Referer::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gnome::Gda::DictConstraint, Gnome::Gda::Parameter, Gnome::Gda::Query, Gnome::Gda::QueryCondition, Gnome::Gda::QueryFieldAgg, Gnome::Gda::QueryFieldAll, Gnome::Gda::QueryFieldField, Gnome::Gda::QueryFieldFunc, Gnome::Gda::QueryFieldValue, Gnome::Gda::QueryJoin, and Gnome::Gda::QueryTarget.

GdaReferer* Gnome::Gda::Referer::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gnome::Gda::DictConstraint, Gnome::Gda::Parameter, Gnome::Gda::Query, Gnome::Gda::QueryCondition, Gnome::Gda::QueryFieldAgg, Gnome::Gda::QueryFieldAll, Gnome::Gda::QueryFieldField, Gnome::Gda::QueryFieldFunc, Gnome::Gda::QueryFieldValue, Gnome::Gda::QueryJoin, and Gnome::Gda::QueryTarget.

bool Gnome::Gda::Referer::is_active | ( |  | ) | const

Get the status of an object.

Returns:
  `true` if the object is active.

virtual void Gnome::Gda::Referer::on_activated | ( |  | ) | `[protected, virtual]`

virtual void Gnome::Gda::Referer::on_deactivated | ( |  | ) | `[protected, virtual]`

Glib::SignalProxy0< void > Gnome::Gda::Referer::signal_activated | ( |  | ) |

Prototype:
  `void on_my_activated()`

Glib::SignalProxy0< void > Gnome::Gda::Referer::signal_deactivated | ( |  | ) |

Prototype:
  `void on_my_deactivated()`

## Friends And Related Function Documentation

Glib::RefPtr<Gnome::Gda::Referer> wrap | ( | GdaReferer * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- referer.h